Bug 210809 - ports-mgmt/portlint: Fix with recent Perl
Summary: ports-mgmt/portlint: Fix with recent Perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-04 09:43 UTC by Mathieu Arnold
Modified: 2016-07-09 14:06 UTC (History)
0 users

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
patch (961 bytes, patch)
2016-07-04 09:43 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-07-04 09:43:19 UTC
Created attachment 172093 [details]
patch

Unescaped left brace in regex is deprecated here, passed through in regex; marked by <-- HERE in m/${ <-- HERE PREFIX}/share/java/ at /usr/local/bin/portlint line 2012.
Comment 1 Joe Marcus Clarke freebsd_committer 2016-07-07 17:42:36 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-07-07 17:43:05 UTC
A commit references this bug:

Author: marcus
Date: Thu Jul  7 17:42:25 UTC 2016
New revision: 418192
URL: https://svnweb.freebsd.org/changeset/ports/418192

Log:
  Update to 2.17.3.

  This release fixes a bug in newer versions of Perl where '{' and '}' caused
  regexp compilation to fail.

  PR:		210809
  Submitted by:	mat

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl